<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/startQuizFragment">

    <fragment
        android:id="@+id/startQuizFragment"
        android:name="cat.itb.cityquiz.presentation.screens.start.StartQuizFragment"
        android:label="start_quiz_fragment"
        tools:layout="@layout/start_quiz_fragment" >
        <action
            android:id="@+id/start_to_question"
            app:destination="@+id/questionFragment" />
    </fragment>
    <fragment
        android:id="@+id/questionFragment"
        android:name="cat.itb.cityquiz.presentation.screens.question.QuestionFragment"
        android:label="question_fragment"
        tools:layout="@layout/question_fragment" >
        <action
            android:id="@+id/question_to_score"
            app:destination="@id/scoreFragment" />
    </fragment>
    <fragment
        android:id="@+id/scoreFragment"
        android:name="cat.itb.cityquiz.presentation.screens.score.ScoreFragment"
        android:label="score_fragment"
        tools:layout="@layout/score_fragment" >
        <action
            android:id="@+id/score_to_question"
            app:destination="@id/questionFragment" />
    </fragment>
</navigation>